from .forms_meta import DeclarativeFieldsMetaclass
from .form_field import KubermagicFormField


class Form(metaclass=DeclarativeFieldsMetaclass):
    def __init__(self):
        self.data = {}  # data returned from the app


class TextField(KubermagicFormField):
    def __init__(self, label=None, initial="", placeholder=""):
        super().__init__(field_type="textfield", label=label)
        self.initial = initial
        self.placeholder = placeholder

    pass


class DropdownField(KubermagicFormField):
    def __init__(self, label=None, choices=(), initial=None):
        super().__init__(field_type="dropdown", label=label)
        self.choices = choices
        self.initial = initial


class CheckboxField(KubermagicFormField):
    def __init__(self, label=None, checked=False):
        super().__init__(field_type="checkbox", label=label)
        self.checked = checked
